summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--www-client/vivaldi-snapshot/Manifest4
-rw-r--r--www-client/vivaldi-snapshot/vivaldi-snapshot-3.8.2259.3.ebuild206
2 files changed, 210 insertions, 0 deletions
diff --git a/www-client/vivaldi-snapshot/Manifest b/www-client/vivaldi-snapshot/Manifest
index bef9061ee2d..dfb4f876f97 100644
--- a/www-client/vivaldi-snapshot/Manifest
+++ b/www-client/vivaldi-snapshot/Manifest
@@ -6,3 +6,7 @@ DIST vivaldi-snapshot_3.8.2254.3-1_amd64.deb 81752328 BLAKE2B 6d46b7f4cce84b9a40
DIST vivaldi-snapshot_3.8.2254.3-1_arm64.deb 73386592 BLAKE2B 173407bcac8faffe6760d3a0286d0a81b85f6c13950a55a6d79fa19106e5842e510bf17f2aeb3e9625dcfcd183afb8404856c7d394851bbd864f4d7b88cfa81d SHA512 6d9aab60da26a5543b186085b2d610fc3f5461f489318d1e77936e13ea0d640b66ac3f18b137505271ca743113f5db2986b7c5ca4f5845823fff73204a15727e
DIST vivaldi-snapshot_3.8.2254.3-1_armhf.deb 71963792 BLAKE2B 6778294e7eaf8380c1f3f10405c9df4a4d619fd5d57e901ebecb25d35c57f41eb7853658b712b35760dc1deffb134292f798135f62f15b0e4dc3a6caded65649 SHA512 747ed64a88ca2d0a8711ae9f97445183c0b333358bf886528bbb8159a17c088caa0eeb39dc5c6391f0b37347e98fc253d4e3e1ba949c6ea6dff0277103410259
DIST vivaldi-snapshot_3.8.2254.3-1_i386.deb 78856764 BLAKE2B a5df0675bb7626600b63c6df4b1c2c20336cb98179b329dc564a23ceb90b1e8ab5944c1babc75586c967e23f2b824f0dde7bc2a523b6beec1c64962259d88584 SHA512 740cceb6fe383e303c89a5b4885bf40c12a3b5162c6c212b70a1f3bdbdcf422ffa2bb862472b92862a76d612b2ba66cea7b76991f9846c81e6ebd15aeb585553
+DIST vivaldi-snapshot_3.8.2259.3-1_amd64.deb 81768316 BLAKE2B f833b674f0675fbb493d53c3d3bf11676710950529adf34b12bc2b04918f1f5d15c49c79204e54eb839075d1bb322d5c1f6ac30a674b37e6a18dca79f7fd1445 SHA512 4894c3700e15fe5c422795805a95d9aa185fff8813905f3dac0a09bf7e7b5f9d177eefa09b6653c7b66cbe39ed6b4b21a0766b2221505318012ca17b986751f0
+DIST vivaldi-snapshot_3.8.2259.3-1_arm64.deb 73387384 BLAKE2B 4e82aae00994e9dd7d15fc68fd71329585e96a2b96d83f1682113c9a3c3f83ef1ac67b326e1fbfebc8c3870afc9d0ae178d4b414b2cb4fa95eec475dce62a0a4 SHA512 93a4bd5407ecb56aa0999ed9604a64e5279fc3a80f7734c8d57face88dbc5fb8f45d11118b5a32ebe71623ba89361dac8b370cc7423628aa62230ae1b8520674
+DIST vivaldi-snapshot_3.8.2259.3-1_armhf.deb 71951400 BLAKE2B a82757b418d2419a0950e3ee3086a809875c3e3d0c0da2465f4a5a9fa43bef88723184c46ca0ca868a543468fbec7eaa2b7edab64616bb7487a49a3a73dc7533 SHA512 a4a72b699520a6bfe3f9b785e142b05cc64fc034e9c6d6a676d71053c01735866afeccbe6364f3d9a882bfac7c9dde9db6e72a48e20268be9476013df41b4e3b
+DIST vivaldi-snapshot_3.8.2259.3-1_i386.deb 78841988 BLAKE2B e0f4282c16082298cb731ad4fbacb8b6b6844722cddc93923b2c5b5f35c0bd4fdb54e9b064c72ac90155959c9b9bd0c184e590f7ea04055748b9d1a04a39629a SHA512 dc417c0e7afa98d0b9ffba0268339064f4f9dedf1e6612a4c09b673247512cac5ec6d585b6c8353e9064485c8d1c194654e095180bbb01b8481d9fd3f8266601
diff --git a/www-client/vivaldi-snapshot/vivaldi-snapshot-3.8.2259.3.ebuild b/www-client/vivaldi-snapshot/vivaldi-snapshot-3.8.2259.3.ebuild
new file mode 100644
index 00000000000..232d99b73e9
--- /dev/null
+++ b/www-client/vivaldi-snapshot/vivaldi-snapshot-3.8.2259.3.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CHROMIUM_LANGS="
+ af
+ am
+ ar
+ az
+ be
+ bg
+ bn
+ ca
+ cs
+ da
+ de
+ de-CH
+ el
+ en-GB
+ en-US
+ eo
+ es
+ es-419
+ es-PE
+ et
+ eu
+ fa
+ fi
+ fil
+ fr
+ fy
+ gd
+ gl
+ gu
+ he
+ hi
+ hr
+ hu
+ hy
+ id
+ io
+ is
+ it
+ ja
+ jbo
+ ka
+ kab
+ kn
+ ko
+ ku
+ lt
+ lv
+ mk
+ ml
+ mr
+ ms
+ nb
+ nl
+ nn
+ pa
+ pl
+ pt-BR
+ pt-PT
+ ro
+ ru
+ sc
+ sk
+ sl
+ sq
+ sr
+ sr-Latn
+ sv
+ sw
+ ta
+ te
+ th
+ tr
+ uk
+ vi
+ zh-CN
+ zh-TW
+"
+
+inherit chromium-2 desktop unpacker xdg
+
+VIVALDI_PN="${PN/%vivaldi/vivaldi-stable}"
+VIVALDI_HOME="opt/${PN}"
+DESCRIPTION="A browser for our friends"
+HOMEPAGE="https://vivaldi.com/"
+
+if [[ ${PV} = *_p* ]]; then
+ DEB_REV="${PV#*_p}"
+else
+ DEB_REV=1
+fi
+
+VIVALDI_BASE_URI="https://downloads.vivaldi.com/${VIVALDI_PN#vivaldi-}/${VIVALDI_PN}_${PV%_p*}-${DEB_REV}_"
+SRC_URI="
+ amd64? ( ${VIVALDI_BASE_URI}amd64.deb )
+ arm64? ( ${VIVALDI_BASE_URI}arm64.deb )
+ arm? ( ${VIVALDI_BASE_URI}armhf.deb )
+ x86? ( ${VIVALDI_BASE_URI}i386.deb )
+"
+
+LICENSE="Vivaldi"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm ~arm64 ~x86"
+IUSE="proprietary-codecs widevine"
+RESTRICT="bindist mirror"
+
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/speex
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcap
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango[X]
+ proprietary-codecs? ( media-video/ffmpeg:0/56.58.58[chromium(-)] )
+ widevine? ( www-plugins/chrome-binary-plugins )
+"
+
+QA_PREBUILT="*"
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ # Rename docs directory to our needs.
+ mv usr/share/doc/{${VIVALDI_PN},${PF}}/ || die
+
+ # Decompress the docs.
+ gunzip usr/share/doc/${PF}/changelog.gz || die
+
+ # The appdata directory is deprecated.
+ mv usr/share/{appdata,metainfo}/ || die
+
+ # Remove cron job for updating from Debian repos.
+ rm etc/cron.daily/${PN} ${VIVALDI_HOME}/cron/${PN} || die
+ rmdir etc/{cron.daily/,} ${VIVALDI_HOME}/cron/ || die
+
+ # Remove scripts that will most likely break things.
+ rm ${VIVALDI_HOME}/update-{ffmpeg,widevine} || die
+
+ pushd ${VIVALDI_HOME}/locales > /dev/null || die
+ rm ja-KS.pak || die # No flag for Kansai as not in IETF list.
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ if use proprietary-codecs; then
+ rm ${VIVALDI_HOME}/lib/libffmpeg.so || die
+ rmdir ${VIVALDI_HOME}/lib || die
+ fi
+
+ eapply_user
+}
+
+src_install() {
+ mv */ "${D}" || die
+ dosym /${VIVALDI_HOME}/${PN} /usr/bin/${PN}
+ fperms 4711 /${VIVALDI_HOME}/vivaldi-sandbox
+
+ local logo size
+ for logo in "${ED}"/${VIVALDI_HOME}/product_logo_*.png; do
+ size=${logo##*_}
+ size=${size%.*}
+ newicon -s "${size}" "${logo}" ${PN}.png
+ done
+
+ if use proprietary-codecs; then
+ dosym ../../usr/$(get_libdir)/chromium/libffmpeg.so \
+ /${VIVALDI_HOME}/libffmpeg.so.$(ver_cut 1-2)
+ fi
+
+ if use widevine; then
+ dosym ../../usr/$(get_libdir)/chromium-browser/WidevineCdm \
+ /${VIVALDI_HOME}/WidevineCdm
+ else
+ rm "${ED}"/${VIVALDI_HOME}/WidevineCdm || die
+ fi
+
+ [[ ${PN} = vivaldi-snapshot ]] &&
+ dosym ${PN} /${VIVALDI_HOME}/vivaldi
+}